#!/bin/sh
if [ \( $# -eq 0 \) -o \( "$1" = "--help" \) -o \( "$1" = "-?" \) ]; then
	echo "usage: $0 imagefile [imagefile...]"
	exit 0
fi
if [ $# -eq 1 ]; then
	hexdump -n 44 -e \
	'"version  : %u\n"
	 "header sz: %u\n"
	 "data size: %u\n"
	 "base addr: 0x%08x\n"
	 "soa oop  : 0x%08x\n"
	 "last hash: 0x%08x\n"
	 1/2
	 "window  y: %d" 1/2 " x: %d" 1/4 " flags (full screen,float order...): 0x%x\n"
	 "extra mem: %u\n"
	 1/2
	 "n stk pg : %u\n"
	 1/2
	 "code kb  : %u\n"
	 "eden byt : %u\n"' "$1"
	exit 0
fi
for f in "$@"; do
	echo
	hexdump -n 44 -e \
	"\"$f: version  : %u\n\"
	 \"$f: header sz: %u\n\"
	 \"$f: data size: %u\n\"
	 \"$f: base addr: 0x%08x\n\"
	 \"$f: soa oop  : 0x%08x\n\"
	 \"$f: last hash: 0x%08x\n\"
	 1/2
	 \"$f: window  y: %d\" 1/2 \" x: %d\" 1/4 \" flags (full screen,float order...): 0x%x\n\"
	 \"$f: extra mem: %u\n\"
	 1/2
	 \"$f: n stk pg : %u\n\"
	 1/2
	 \"$f: code kb  : %u\n\"
	 \"$f: eden byt : %u\n\"" "$f"
done